<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| Created by AlexALX for php-fusion v7 core
| (c) 2008 by http://alex-php.net/
| For more information visit http://alex-php.net/
| Or http://alex-php.net/eng/
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
if (file_exists(LOCALE.LOCALESET."admin/settings_panels.php")) {
include LOCALE.LOCALESET."admin/settings_panels.php";
} else {
include LOCALE."English/admin/settings_panels.php";
}

if (!checkrights("P") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (isset($_POST['saveoptions'])) {
	$error = 0;
	dbquery("UPDATE ".DB_PREFIX."settings_panels SET
		uri = '".stripinput($_POST['uri'])."',
		index_page = '".stripinput($_POST['index_page'])."',
		redirect = '".((isset($_POST['redirect']) && $_POST['redirect']=='ON') ? '1' : '0')."';"
	);
	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

$options = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."settings_panels"));

$uri = $options['uri'];
$index_page = $options['index_page'];
$redirect = ($options['redirect'] == 1) ? 'checked' : '';

opentable($locale['panel_mod_001']);

require_once ADMIN."settings_links.php";

echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n";
echo "<tr>\n";
echo "<td class='tbl' width='50%'>".$locale['panel_mod_002']."<br /><span class='small2'>".$locale['panel_mod_003']."</span></td>\n";
echo "<td class='tbl' width='50%'><input type='text' name='uri' value='".$uri."' class='textbox' maxlength='255' style='width:150px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl' width='50%'>".$locale['panel_mod_004']."<br /><span class='small2'>".$locale['panel_mod_005']."</span></td>\n";
echo "<td class='tbl' width='50%'><input type='text' name='index_page' value='".$index_page."' class='textbox' maxlength='255' style='width:150px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl' width='50%' colspan='2'>".$locale['panel_mod_006']."</td>\n</tr>\n<tr>\n";
echo "<td class='tbl' width='50%'>".$locale['panel_mod_007']."<br /></td>\n";
echo "<td class='tbl' width='50%'><input name='redirect' type='checkbox' value='ON' ".$redirect."></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='saveoptions' value='".$locale['750']."' class='button' />\n</td>\n";
echo "</tr>\n</table>\n</form>\n";

	echo "<br><center>&copy; 2008 by <a href='http://alex-php.net/' target='_blank'>AlexALX</a></center>";

closetable();
require_once THEMES."templates/footer.php";

?>